#include "odeSolvers.hpp"

void oneStepAdamsBashforth2(rvec& yNP1, rvec& yN, rvec& yNM1, double (*f) (double, double), double dt, double tN) {

  for (int i=0; i<yNP1.size(); i++)
    yNP1[i] = yN[i] + dt*1.5*f(tN,yN[i]) - 0.5*dt*f(tN-dt,yNM1[i]); 

}

void oneStepEuler(rvec& yNP1, rvec& yN, double (*f) (double, double), double dt, double tN) {

  for (int i=0; i<yNP1.size(); i++)
    yNP1[i] = yN[i] + dt*f(tN,yN[i]); 

}

